[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageListResolution.GetIcon

Gets an Icon rendered using the specified drawing effect.

## Declaration

Source position: imglist.pp line 156

`public procedure TCustomImageListResolution.GetIcon(`
`Index: Integer;`
`Image: TIcon;`
`AEffect: TGraphicsDrawEffect`
`); overload; procedure TCustomImageListResolution.GetIcon(`
`Index: Integer;`
`Image: TIcon`
`); overload;`

## Arguments

`Index` |  | Ordinal position for the image requested in the method.
`Image` |  | TIcon class where the image data is stored.
`AEffect` |  | Drawing effect applied to the rendered image.

## Arguments

`Index` |  | Ordinal position for the image requested in the method.
`Image` |  | TIcon class where the image data is stored.

## Description

GetIcon is an overloaded procedure used to get an image in TIcon format stored at the specified position in the resolution.

Index contains the ordinal position of the image retrieved in the method.

Image is a TIcon class instance where image data is stored in the method.

AEffect contains a value from the TGraphicsDrawEffect enumeration that indicates a drawing effect applied to the raw image data, and stored in the icon. Values in AEffect determine whether the image is rendered normally, as a disabled (or grayed) image, highlighted, shadowed, or as a monochrome bitmap mask.

GetIcon creates a temporary TRawImage class instance that is used to get the 32-bit RGBA raw image data, and to apply the drawing effect in AEffect. For platforms or widgetsets that do not support 32-bit image data, a device image is used to get the pixel content for the image.

An overloaded variant of the method is provided which omits the drawing effect argument, and assumes the image is rendered in the "normal" display state.

No actions are performed in the method when Count contains 0 (zero), or when Image has not been assigned (contains Nil).